Skip to main content
POST
/
api
/
v1
/
ee
/
projects
/
{projectUuid}
/
ai-deep-research
Error
A valid request URL is required to generate request examples
{
  "results": {
    "completedAt": "<string>",
    "startedAt": "<string>",
    "updatedAt": "<string>",
    "createdAt": "<string>",
    "cancellationRequestedAt": "<string>",
    "errorMessage": "<string>",
    "budget": {
      "maxResultRows": 123,
      "maxWarehouseQueries": 123,
      "maxToolCalls": 123,
      "maxTokens": 123,
      "maxRuntimeMs": 123
    },
    "result": {
      "nextSteps": [
        "<string>"
      ],
      "unresolvedQuestions": [
        "<string>"
      ],
      "scope": "<string>",
      "caveats": [
        "<string>"
      ],
      "findings": [
        {
          "evidence": [
            {
              "sourceUrl": "<string>",
              "sourceLabel": "<string>",
              "description": "<string>",
              "title": "<string>"
            }
          ],
          "summary": "<string>",
          "title": "<string>"
        }
      ],
      "summary": "<string>"
    },
    "projectUuid": "<string>",
    "aiDeepResearchRunUuid": "<string>"
  },
  "status": "ok"
}
{
  "error": {
    "name": "<string>",
    "statusCode": 123,
    "data": "<unknown>",
    "message": "<string>"
  },
  "status": "error"
}

Path Parameters

projectUuid
string<uuid>
required

Stringified UUIDv4. See RFC 4112

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}

Body

application/json
prompt
string
required
effort
enum<string>

Server-owned execution budget tier. Defaults to medium.

Available options:
high,
medium,
low,
xhigh

Response

Accepted

results
object
required
status
enum<string>
required
Available options:
ok